package com.jeeplus.modules.sg.balancedlibrary.planSummary.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 配农网实体类
 */
public class AgriculturalDistributionNetwork extends DataEntity<AgriculturalDistributionNetwork> {
    private String id; //序号
    private String itemCode; //项目编码
    private String itemName; //项目名称
    private String itemType; // 项目类型
    private String FundAttribute; //资金属性
    private String MunicipalTerritory; //市级属地
    private String ItemAccountingCode;// 项目列帐单位编码
    private String Description; //项目列帐单位描述
    private String PlanSubmitter;//计划提报人
    private String ReportingUnit;//提报人单位
    private String CompanyDepartment;//对应省公司管理部门
    private String CategoryDescription;//大类描述
    private String MediumDescription;//中类描述
    private String SubclassDescription;//小类描述
    private String RequiredMaterialCode;//需求物料编码
    private String MaterialDescription;//物料描述
    private String ItemExtensionCode;//物料扩展编码
    private String MaterialExtensionDescription;//物料扩展描述
    private String BidSection;//标段
    private String SpecificationID;//电子商务平台技术规范书ID
    private String Company;//单位
    private String DemandQuantity;//需求数量
    private Double EstimatedPrice;//概算单价（元）
    private Double TotalPrice;//概算总价（元）
    private Date DeliveryDate;//交货日期
    private String RemarksPlan;//需求计划备注

    @Override
    public String toString() {
        return "AgriculturalDistributionNetwork{" +
                "id='" + id + '\'' +
                ", itemCode='" + itemCode + '\'' +
                ", itemName='" + itemName + '\'' +
                ", itemType='" + itemType + '\'' +
                ", FundAttribute='" + FundAttribute + '\'' +
                ", MunicipalTerritory='" + MunicipalTerritory + '\'' +
                ", ItemAccountingCode='" + ItemAccountingCode + '\'' +
                ", Description='" + Description + '\'' +
                ", PlanSubmitter='" + PlanSubmitter + '\'' +
                ", ReportingUnit='" + ReportingUnit + '\'' +
                ", CompanyDepartment='" + CompanyDepartment + '\'' +
                ", CategoryDescription='" + CategoryDescription + '\'' +
                ", MediumDescription='" + MediumDescription + '\'' +
                ", SubclassDescription='" + SubclassDescription + '\'' +
                ", RequiredMaterialCode='" + RequiredMaterialCode + '\'' +
                ", MaterialDescription='" + MaterialDescription + '\'' +
                ", ItemExtensionCode='" + ItemExtensionCode + '\'' +
                ", MaterialExtensionDescription='" + MaterialExtensionDescription + '\'' +
                ", BidSection='" + BidSection + '\'' +
                ", SpecificationID='" + SpecificationID + '\'' +
                ", Company='" + Company + '\'' +
                ", DemandQuantity='" + DemandQuantity + '\'' +
                ", EstimatedPrice=" + EstimatedPrice +
                ", TotalPrice=" + TotalPrice +
                ", DeliveryDate=" + DeliveryDate +
                ", RemarksPlan='" + RemarksPlan + '\'' +
                '}';
    }

    @ExcelField(title="序号", align=2, sort=1)
    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }

    @ExcelField(title="项目编码", align=2, sort=2)
    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }
    @ExcelField(title="项目名称", align=2, sort=3)
    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    @ExcelField(title="项目类型", align=2, sort=4)
    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }
    @ExcelField(title="资金属性", align=2, sort=5)
    public String getFundAttribute() {
        return FundAttribute;
    }

    public void setFundAttribute(String fundAttribute) {
        FundAttribute = fundAttribute;
    }
    @ExcelField(title="市级属地", align=2, sort=6)
    public String getMunicipalTerritory() {
        return MunicipalTerritory;
    }

    public void setMunicipalTerritory(String municipalTerritory) {
        MunicipalTerritory = municipalTerritory;
    }
    @ExcelField(title="项目列帐单位编码", align=2, sort=7)
    public String getItemAccountingCode() {
        return ItemAccountingCode;
    }

    public void setItemAccountingCode(String itemAccountingCode) {
        ItemAccountingCode = itemAccountingCode;
    }
    @ExcelField(title="项目列帐单位描述", align=2, sort=8)
    public String getDescription() {
        return Description;
    }

    public void setDescription(String description) {
        Description = description;
    }
    @ExcelField(title="计划提报人", align=2, sort=9)
    public String getPlanSubmitter() {
        return PlanSubmitter;
    }

    public void setPlanSubmitter(String planSubmitter) {
        PlanSubmitter = planSubmitter;
    }
    @ExcelField(title="提报人单位", align=2, sort=10)
    public String getReportingUnit() {
        return ReportingUnit;
    }

    public void setReportingUnit(String reportingUnit) {
        ReportingUnit = reportingUnit;
    }
    @ExcelField(title="对应省公司管理部门", align=2, sort=11)
    public String getCompanyDepartment() {
        return CompanyDepartment;
    }

    public void setCompanyDepartment(String companyDepartment) {
        CompanyDepartment = companyDepartment;
    }
    @ExcelField(title="大类描述", align=2, sort=12)
    public String getCategoryDescription() {
        return CategoryDescription;
    }

    public void setCategoryDescription(String categoryDescription) {
        CategoryDescription = categoryDescription;
    }
    @ExcelField(title="中类描述", align=2, sort=13)
    public String getMediumDescription() {
        return MediumDescription;
    }

    public void setMediumDescription(String mediumDescription) {
        MediumDescription = mediumDescription;
    }
    @ExcelField(title="小类描述", align=2, sort=14)
    public String getSubclassDescription() {
        return SubclassDescription;
    }

    public void setSubclassDescription(String subclassDescription) {
        SubclassDescription = subclassDescription;
    }
    @ExcelField(title="需求物料编码", align=2, sort=15)
    public String getRequiredMaterialCode() {
        return RequiredMaterialCode;
    }

    public void setRequiredMaterialCode(String requiredMaterialCode) {
        RequiredMaterialCode = requiredMaterialCode;
    }
    @ExcelField(title="物料描述", align=2, sort=16)
    public String getMaterialDescription() {
        return MaterialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        MaterialDescription = materialDescription;
    }
    @ExcelField(title="物料扩展编码", align=2, sort=17)
    public String getItemExtensionCode() {
        return ItemExtensionCode;
    }

    public void setItemExtensionCode(String itemExtensionCode) {
        ItemExtensionCode = itemExtensionCode;
    }
    @ExcelField(title="物料扩展描述", align=2, sort=18)
    public String getMaterialExtensionDescription() {
        return MaterialExtensionDescription;
    }

    public void setMaterialExtensionDescription(String materialExtensionDescription) {
        MaterialExtensionDescription = materialExtensionDescription;
    }
    @ExcelField(title="标段", align=2, sort=19)
    public String getBidSection() {
        return BidSection;
    }

    public void setBidSection(String bidSection) {
        BidSection = bidSection;
    }
    @ExcelField(title="电子商务平台技术规范书ID", align=2, sort=20)
    public String getSpecificationID() {
        return SpecificationID;
    }

    public void setSpecificationID(String specificationID) {
        SpecificationID = specificationID;
    }
    @ExcelField(title="单位", align=2, sort=21)
    public String getCompany() {
        return Company;
    }

    public void setCompany(String company) {
        Company = company;
    }
    @ExcelField(title="需求数量", align=2, sort=22)
    public String getDemandQuantity() {
        return DemandQuantity;
    }

    public void setDemandQuantity(String demandQuantity) {
        DemandQuantity = demandQuantity;
    }
    @ExcelField(title="概算单价", align=2, sort=23)
    public Double getEstimatedPrice() {
        return EstimatedPrice;
    }

    public void setEstimatedPrice(Double estimatedPrice) {
        EstimatedPrice = estimatedPrice;
    }
    @ExcelField(title="概算总价", align=2, sort=24)
    public Double getTotalPrice() {
        return TotalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        TotalPrice = totalPrice;
    }
    @ExcelField(title="交货日期", align=2, sort=25)
    public Date getDeliveryDate() {
        return DeliveryDate;
    }

    public void setDeliveryDate(Date deliveryDate) {
        DeliveryDate = deliveryDate;
    }
    @ExcelField(title="需求计划备注", align=2, sort=26)
    public String getRemarksPlan() {
        return RemarksPlan;
    }

    public void setRemarksPlan(String remarksPlan) {
        RemarksPlan = remarksPlan;
    }
}
